Quassel IRC - Bug #1758

quasselcore attempts to connect to irc.rizon.net multiple times in a row causing temporary ban
Status: New Start date: 09/06/2021
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
Version: 0.13.1 0S: Any

Description

Bug #1612: quasselcore attempts to connect to irc.rizon.net multiple times in a row causing temporary ban
http://bugs.quassel-irc.org/issues/1612#change-3744

Author: samulus
Status: New
Priority: High
Assignee:
Category:
Target version:
Version: 0.13.0
OS: Any

e & o o o o o o

My quasselcore instance randomly gets kicked from rizon and banned temporarily with the following error message:

irssi / weechat can stay connected for a week straight without this ban occuring, it happens randomly on Quassel. | disabled
automatic reconnections and have custom rate limits set to 1 message at once, 5s between future messages.

I am using v0.13.1 with 2 connected clients (Quasseldroid v1.3.3, v.0.13.1), but this bug occurs even when only one Quassel client is
connected (the desktop or mobile client alone)

| am trying to connect to irc.rizon.net:6697 (SSL)

[3:04:43 pm] * You are banned from this server- Temporary ban until Fri Oct 16 19:34:43 2020. - Too many connections from your
host: please visit http://www.rizon.net/vbulletin/showthread.php?t=29 for help (2020/10/16 19.04)

[3:04:43 pm] * Error from server: Closing Link: 2600:3c00::f03c:91ff:fef8:4b8c (Connection closed)

[3:04:43 pm] * Connection failure: The TLS/SSL connection has been closed

[3:04:43 pm] * Connection failure: The remote host closed the connection

[3:23:08 pm] * Connection failed. Cycling to next Server

[3:23:08 pm] * Connecting to irc.rizon.net:6697...

[3:23:08 pm] * Requesting capability list...

[3:23:08 pm] [irc.rizon.io] *** Looking up your hostname...

[3:23:08 pm] [irc.rizon.io] *** Checking Ident

[3:23:08 pm] [irc.rizon.io] *** No Ident response

[3:23:08 pm] * Ready to negotiate (found: multi-prefix, sasl, invite-notify, userhost-in-names, away-notify, chghost)
[3:23:08 pm] * Negotiating capabilities (requesting: away-notify, chghost, multi-prefix, userhost-in-names)...
[3:23:08 pm] [irc.rizon.io] *** Couldn't look up your hostname

[3:23:08 pm] * Capability negotiation finished (enabled: away-notify, chghost, multi-prefix, userhost-in-names)
[3:23:12 pm] * Error from server: Closing Link: 2600:3c00::f03c:91ff:fef8:4b8c (Banned)

[3:23:12 pm] * Connection failure: The TLS/SSL connection has been closed

[3:23:12 pm] [irc.rizon.io] *** Banned until Fri Oct 16 19:34:43 2020: Too many connections from your host: please visit
http://www.rizon.net/vbulletin/showthread.php?t=29 for help (2020/10/16 19.04)

[3:23:12 pm] * Connection failure: The remote host closed the connection

[3:25:57 pm] * Connection failed. Cycling to next Server

[3:25:57 pm] * Connecting to irc.rizon.net:6697...

[3:25:57 pm] * Requesting capability list...

P.S. Re-posting as | accidentally deleted the issue when trying to delete one spam comment from it. Sorry for inconvenience and any
broken links that may have resulted. --gry
